# Model Baza de date Instagram
![ERD](erd.png)

## Tabele
* [Utilizator](#utilizator) (Datele utilizatorului vizitator)
* [Cont utilizator](#cont-utilizator) (Datele utilizatorului inregistrat)
* [Poza profil](#poza-profil)
* [Postare](#postare)
* [Tag](#tag)
* [Imagine](#imagine)
* [Video](#video)
* [Sunet](#sunet)
* [Date recomandare](#date-recomandare)
* [Market](#market)
* [Produs](#produs)

### Utilizator
* **Adresa IP** - Identifica unic utilizatorul
* **User Agent** - Identifica unic browser-ul utilizatorului
* **Timestamp accesare** - Specifica data si ora accesarii site-ului

Un utilizator poate avea mai multe [conturi de utilizator](#cont-utilizator).


### Cont utilizator
* **Handle** - Nume unic al utilizatorului
* **Nume** - Numele intreg al persoanei care detine contul
* **Email** - Adresa de email *verificat* a utilizatorului
* **Numar telefon** - Numarul de telefon *verificat* al utilizatorului
* **Parola** - Parola stocata hash-uita cu SHA256
* **Data nastere** - Data nasterii utilizatorului
* **Descriere** - Descrierea utilizatorului
* **Website** - Link catre website-ul utilizatorului

Poate avea: [Postare](#postare), [Poza Profil](#poza-profil), [Market](#market)

### Poza profil
* **URL** - Identificatorul unic, locatia stocata a imaginii
* **Dimensiune aleasa** - Rezolutia aleasa de utilizator

### Postare
* **Id** - Identificator unic artificial (ex. *1590183d3cc6d2d41f0ad1*)
* **Data** - UNIX Timestamp al datei la care a fost publicata postarea
* **Tip** - Tipul postarii (enum values: *REEL, FEED, STORY*)
* **Locatie** - Locatia la care a fost facuta postarea
* **Etichete** - String-uri care identifica domeniile de interes al postarii (ex. #concert)
* **Descriere** - Descrierea postarii

Poate avea: [Imagine](#imagine), [Video](#video), [Sunet](#sunet), [Date recomandare](#date-recomandare), [Tag](#tag)

### Tag
* **Handle** - Identificatorul unic al utilizatorului mentionat
### Imagine
* **URL** - Identificatorul unic al imaginii
* **Rezolutie** - Rezolutia selectata de utilizator pentru imagine

### Video
* **URL** - Identificatorul unic al imaginii
* **Durata** - Durata video-ului

### Sunet
* **URL** - Identificatorul unic al imaginii
* **Durata** - Durata sunetului
* **Frecventa** - Frecventa sunetului
* **Nume** - Numele dat de autor sunetului 

### Date Recomandare
* **Categorie interes** - Numele categoriei in care se incadreaza postarea (ex. sporturi)
* **Timp mediu de vizionare** - Media aritmetica a timpului de vizionare al
  tuturor utilizatorilor carora le-a fost recomandata postarea pe baaza
categoriei de interes

### Market
* **Merchant ID** - Identificatorul unic al market-ului, cerut pentru regulatory
* **IBAN** - Contul bancar al detinatorului
* **Adresa fizica** - Adresa fizica a detinatorului

Poate avea: [Produs](#produs)

### Produs
* **Id** - Identificator unic artifical al produsului (ex: 7b69bf33fb689a9f893fd6)
* **Nume** 
* **Pretul produsului**

Poate avea: [Postare](#postare)

## Credite
<img align="left" style='margin-right:30px' src="vianu.jpg" height="100" max-width="300">

Proiect realizat de [Halasz Stefan](https://elpengu.com) si [Dumitru
Mihnea](https://github.com/MihneaD12) in cadrul *Colegiului national de
informatica Tudor Vianu*.
